// Copyright (C) 2013 - Michael Baudin
//
// This file must be used under the terms of the 
// GNU Lesser General Public License license
// http://www.gnu.org/copyleft/lesser.html

// This header is used by ssobol.c.

// Initialize ssobol_vinit;
ssobol_vinit[1][0]=1;
ssobol_vinit[2][0]=1;
ssobol_vinit[3][0]=1;
ssobol_vinit[4][0]=1;
ssobol_vinit[5][0]=1;
ssobol_vinit[6][0]=1;
ssobol_vinit[7][0]=1;
ssobol_vinit[8][0]=1;
ssobol_vinit[9][0]=1;
ssobol_vinit[10][0]=1;
ssobol_vinit[11][0]=1;
ssobol_vinit[12][0]=1;
ssobol_vinit[13][0]=1;
ssobol_vinit[14][0]=1;
ssobol_vinit[15][0]=1;
ssobol_vinit[16][0]=1;
ssobol_vinit[17][0]=1;
ssobol_vinit[18][0]=1;
ssobol_vinit[19][0]=1;
ssobol_vinit[20][0]=1;
ssobol_vinit[21][0]=1;
ssobol_vinit[22][0]=1;
ssobol_vinit[23][0]=1;
ssobol_vinit[24][0]=1;
ssobol_vinit[25][0]=1;
ssobol_vinit[26][0]=1;
ssobol_vinit[27][0]=1;
ssobol_vinit[28][0]=1;
ssobol_vinit[29][0]=1;
ssobol_vinit[30][0]=1;
ssobol_vinit[31][0]=1;
ssobol_vinit[32][0]=1;
ssobol_vinit[33][0]=1;
ssobol_vinit[34][0]=1;
ssobol_vinit[35][0]=1;
ssobol_vinit[36][0]=1;
ssobol_vinit[37][0]=1;
ssobol_vinit[38][0]=1;
ssobol_vinit[39][0]=1;
ssobol_vinit[2][1]=1;
ssobol_vinit[3][1]=3;
ssobol_vinit[4][1]=1;
ssobol_vinit[5][1]=3;
ssobol_vinit[6][1]=1;
ssobol_vinit[7][1]=3;
ssobol_vinit[8][1]=3;
ssobol_vinit[9][1]=1;
ssobol_vinit[10][1]=3;
ssobol_vinit[11][1]=1;
ssobol_vinit[12][1]=3;
ssobol_vinit[13][1]=1;
ssobol_vinit[14][1]=3;
ssobol_vinit[15][1]=1;
ssobol_vinit[16][1]=1;
ssobol_vinit[17][1]=3;
ssobol_vinit[18][1]=1;
ssobol_vinit[19][1]=3;
ssobol_vinit[20][1]=1;
ssobol_vinit[21][1]=3;
ssobol_vinit[22][1]=1;
ssobol_vinit[23][1]=3;
ssobol_vinit[24][1]=3;
ssobol_vinit[25][1]=1;
ssobol_vinit[26][1]=3;
ssobol_vinit[27][1]=1;
ssobol_vinit[28][1]=3;
ssobol_vinit[29][1]=1;
ssobol_vinit[30][1]=3;
ssobol_vinit[31][1]=1;
ssobol_vinit[32][1]=1;
ssobol_vinit[33][1]=3;
ssobol_vinit[34][1]=1;
ssobol_vinit[35][1]=3;
ssobol_vinit[36][1]=1;
ssobol_vinit[37][1]=3;
ssobol_vinit[38][1]=1;
ssobol_vinit[39][1]=3;
ssobol_vinit[3][2]=7;
ssobol_vinit[4][2]=5;
ssobol_vinit[5][2]=1;
ssobol_vinit[6][2]=3;
ssobol_vinit[7][2]=3;
ssobol_vinit[8][2]=7;
ssobol_vinit[9][2]=5;
ssobol_vinit[10][2]=5;
ssobol_vinit[11][2]=7;
ssobol_vinit[12][2]=7;
ssobol_vinit[13][2]=1;
ssobol_vinit[14][2]=3;
ssobol_vinit[15][2]=3;
ssobol_vinit[16][2]=7;
ssobol_vinit[17][2]=5;
ssobol_vinit[18][2]=1;
ssobol_vinit[19][2]=1;
ssobol_vinit[20][2]=5;
ssobol_vinit[21][2]=3;
ssobol_vinit[22][2]=3;
ssobol_vinit[23][2]=1;
ssobol_vinit[24][2]=7;
ssobol_vinit[25][2]=5;
ssobol_vinit[26][2]=1;
ssobol_vinit[27][2]=3;
ssobol_vinit[28][2]=3;
ssobol_vinit[29][2]=7;
ssobol_vinit[30][2]=5;
ssobol_vinit[31][2]=1;
ssobol_vinit[32][2]=1;
ssobol_vinit[33][2]=5;
ssobol_vinit[34][2]=7;
ssobol_vinit[35][2]=7;
ssobol_vinit[36][2]=5;
ssobol_vinit[37][2]=1;
ssobol_vinit[38][2]=3;
ssobol_vinit[39][2]=3;
ssobol_vinit[5][3]=1;
ssobol_vinit[6][3]=7;
ssobol_vinit[7][3]=9;
ssobol_vinit[8][3]=13;
ssobol_vinit[9][3]=11;
ssobol_vinit[10][3]=1;
ssobol_vinit[11][3]=3;
ssobol_vinit[12][3]=7;
ssobol_vinit[13][3]=9;
ssobol_vinit[14][3]=5;
ssobol_vinit[15][3]=13;
ssobol_vinit[16][3]=13;
ssobol_vinit[17][3]=11;
ssobol_vinit[18][3]=3;
ssobol_vinit[19][3]=15;
ssobol_vinit[20][3]=5;
ssobol_vinit[21][3]=3;
ssobol_vinit[22][3]=15;
ssobol_vinit[23][3]=7;
ssobol_vinit[24][3]=9;
ssobol_vinit[25][3]=13;
ssobol_vinit[26][3]=9;
ssobol_vinit[27][3]=1;
ssobol_vinit[28][3]=11;
ssobol_vinit[29][3]=7;
ssobol_vinit[30][3]=5;
ssobol_vinit[31][3]=15;
ssobol_vinit[32][3]=1;
ssobol_vinit[33][3]=15;
ssobol_vinit[34][3]=11;
ssobol_vinit[35][3]=5;
ssobol_vinit[36][3]=3;
ssobol_vinit[37][3]=1;
ssobol_vinit[38][3]=7;
ssobol_vinit[39][3]=9;
ssobol_vinit[7][4]=9;
ssobol_vinit[8][4]=3;
ssobol_vinit[9][4]=27;
ssobol_vinit[10][4]=15;
ssobol_vinit[11][4]=29;
ssobol_vinit[12][4]=21;
ssobol_vinit[13][4]=23;
ssobol_vinit[14][4]=19;
ssobol_vinit[15][4]=11;
ssobol_vinit[16][4]=25;
ssobol_vinit[17][4]=7;
ssobol_vinit[18][4]=13;
ssobol_vinit[19][4]=17;
ssobol_vinit[20][4]=1;
ssobol_vinit[21][4]=25;
ssobol_vinit[22][4]=29;
ssobol_vinit[23][4]=3;
ssobol_vinit[24][4]=31;
ssobol_vinit[25][4]=11;
ssobol_vinit[26][4]=5;
ssobol_vinit[27][4]=23;
ssobol_vinit[28][4]=27;
ssobol_vinit[29][4]=19;
ssobol_vinit[30][4]=21;
ssobol_vinit[31][4]=5;
ssobol_vinit[32][4]=1;
ssobol_vinit[33][4]=17;
ssobol_vinit[34][4]=13;
ssobol_vinit[35][4]=7;
ssobol_vinit[36][4]=15;
ssobol_vinit[37][4]=9;
ssobol_vinit[38][4]=31;
ssobol_vinit[39][4]=9;
ssobol_vinit[13][5]=37;
ssobol_vinit[14][5]=33;
ssobol_vinit[15][5]=7;
ssobol_vinit[16][5]=5;
ssobol_vinit[17][5]=11;
ssobol_vinit[18][5]=39;
ssobol_vinit[19][5]=63;
ssobol_vinit[20][5]=27;
ssobol_vinit[21][5]=17;
ssobol_vinit[22][5]=15;
ssobol_vinit[23][5]=23;
ssobol_vinit[24][5]=29;
ssobol_vinit[25][5]=3;
ssobol_vinit[26][5]=21;
ssobol_vinit[27][5]=13;
ssobol_vinit[28][5]=31;
ssobol_vinit[29][5]=25;
ssobol_vinit[30][5]=9;
ssobol_vinit[31][5]=49;
ssobol_vinit[32][5]=33;
ssobol_vinit[33][5]=19;
ssobol_vinit[34][5]=29;
ssobol_vinit[35][5]=11;
ssobol_vinit[36][5]=19;
ssobol_vinit[37][5]=27;
ssobol_vinit[38][5]=15;
ssobol_vinit[39][5]=25;
ssobol_vinit[19][6]=13;
ssobol_vinit[20][6]=33;
ssobol_vinit[21][6]=115;
ssobol_vinit[22][6]=41;
ssobol_vinit[23][6]=79;
ssobol_vinit[24][6]=17;
ssobol_vinit[25][6]=29;
ssobol_vinit[26][6]=119;
ssobol_vinit[27][6]=75;
ssobol_vinit[28][6]=73;
ssobol_vinit[29][6]=105;
ssobol_vinit[30][6]=7;
ssobol_vinit[31][6]=59;
ssobol_vinit[32][6]=65;
ssobol_vinit[33][6]=21;
ssobol_vinit[34][6]=3;
ssobol_vinit[35][6]=113;
ssobol_vinit[36][6]=61;
ssobol_vinit[37][6]=89;
ssobol_vinit[38][6]=45;
ssobol_vinit[39][6]=107;
ssobol_vinit[37][7]=7;
ssobol_vinit[38][7]=23;
ssobol_vinit[39][7]=39;
